version: '3.8'

services:
  insight-reply-server:
    build: .
    container_name: insight-reply-server
    restart: always
    ports:
      - "8009:8080"
    env_file:
      - .env
    environment:
      - LOG_FILE_PATH=/app/logs/InsightReply.log
    volumes:
      # Map the host's /root/logs to the container's /app/logs directory
      - /root/logs:/app/logs
    networks:
      - insight_network

networks:
  insight_network:
    driver: bridge
